man(1)

NAME
FieldConvert - post-process Nektar++ field files

SYNOPSIS
FieldConvert [ option(s) ] input output

DESCRIPTION
FieldConvert is a utility primarily for the conversion of Nektar++ output binary files into a range of other visualisation formats for analysis. It is built on the Nektar++ high-order spectral/hp element framework. It also includes a range of modules for manipulating the output, such as computing derived fields, extracting planes and isosurfaces or interpolating onto other grids or point distributions.

  Further information
For further details and specific configuration options, please consult the Nektar++ user guide available from the website ⟨ www.nektar.info ⟩.

OPTIONS

  General Options

-h [ --help ]
    Print the help message.

-r [ --range ] arg
    Define output range to process, where arg is specified as xmin,xmax,ymin,ymax,zmin,zmax

-v [ --verbose ]
    Displays additional diagnostic information during the solver execution.

-V [ --version ]
    Prints the version of the Nektar++.

  Modules and Module Options

-l [ --modules-list ]
    Print the list of available modules.

-m [ --module ] arg
    Specify module to be used.

-p [ --modules-opt ] arg
    Print options for the module given by arg

  Advanced Options

-e [ --error ]
    Write error of fields for regression checking.

-f [ --force-output ]
    Force the output to be written without any checks.

-n [ --output-points ] arg
    Output at n equispaced points along the collapsed coordinate (for .dat, .vtu).

--no-equispaced
    Do not use equispaced output.

--onlyshape arg
    Only use element with defined shape, where arg is, for example, Tetrahedron

--output-points-hom-z arg
    Specify number of planes in the z-direction for output of Homogeneous 1D expansions (for .dat, .vtu).

--use-session-variables
    Use variables defined in session for output.

--use-session-expansion
    Use expansion defined in session.

  Parallelisation Options

--nparts arg
    Process partitions of parallel run in serial. The arg parameter specifies the number of partitions in the input field file.

--npz arg
    Specifies the number of processes in the z-direction.

--part-only N
    Partitions the input mesh into N partitions and exits.

--part-only-overlapping N
    Partitions mesh into N overlapping partitions and exits.

--use-ptscotch
    Use PT-Scotch for parallel mesh partitioning.

--use-scotch
    Use Scotch for mesh partitioning.

EXAMPLE
To compute the vorticity field
    FieldConvert -m vorticity in.xml in.fld out_vorticity.fld
To convert a field file to an unstructured VTK file
    FieldConvert in.xml in.fld out.vtu
To compute vorticity and write output to an unstructured VTK file
    FieldConvert -m vorticity in.xml in.fld out_vorticity.vtu

BUGS
No known bugs.

AUTHOR
Chris Cantwell (c.cantwell@imperial.ac.uk)